<ng-container *ngIf="authService.user">
  <div class="flex flex-nowrap">
    <div class="flex mt-10 w-[255px] px-2 justify-around">
      <app-container-icon
        [icon]="'/assets/images/money.webp'"
        [value]="authService.user.gold"
      ></app-container-icon>
      <app-container-icon
        [icon]="'/assets/images/power.webp'"
        [value]="authService.user.power"
      ></app-container-icon>
    </div>

    <div class="relative ml-auto mr-20">
      <img
        src="/assets/images/title.webp"
        class="m-auto"
        alt=""
        draggable="false"
      />
      <h1
        class="absolute text-xl text-white font-bold left-1/2 top-1/2 -translate-x-1/2 -translate-y-1/2 mt-[-6px] shadow-title"
      >
        <app-army-name [user]="authService.user"></app-army-name>
      </h1>
    </div>
  </div>

  <div class="flex">
    <div class="flex mt-2 w-[255px] items-center flex-col">
      <app-troopers-block
        [troopers]="authService.user.troopers"
        [context]="'navigation'"
      ></app-troopers-block>
    </div>

    <div
      *ngIf="!loadingOpponents"
      class="grid grid-cols-2 auto-rows-min gap-x-14 gap-y-6 mt-2 mx-auto"
    >
      <ng-container *ngFor="let opponent of opponents; let isFirst = first">
        <app-trooper-opponent
          [opponent]="opponent"
          [lock]="lockOpponents"
          (opponentSelected)="onOpponentSelected($event)"
        ></app-trooper-opponent>

        <div *ngIf="isFirst"></div>
      </ng-container>
    </div>
  </div>
</ng-container>
